PHALANX(6)

NAME
Phalanx - Chess playing program

SYNOPSIS
phalanx [options] [<moves> <minutes> [<increment in seconds>]]
phalanx [options] [<seconds per move>]
phalanx bench
phalanx bcreate [options]

DESCRIPTION
This manual page documents briefly the phalanx program. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page.

phalanx is a chess playing program. It is partially xboard compatible. Under xboard, it can play games, force & undo moves, and show thinking. In this version, you cannot set positions with xboard.

It is also possible to run phalanx without xboard. Do phalanx -? to get a list of command line options. One important command of phalanx's ASCII interface is help.

phalanx uses (traditional) 10x12 board implementation. There are three often used board implementations: "8x8" (GNU Chess), "bitboard" (Crafty), and "10x12" (Nimzo, Phalanx). In short, "10x12" is easy to implement and the code is small (==fast on PC). Opening book is small, simple, hand-written.

OPTIONS
-t <transposition table size in kilobytes>

-f <fixed search time in seconds>

-x <+/->
    xboard mode on/off default: on

-p <+/->
    permanent brain on/off default: off

-s <+/->
    show thinking on/off default: off

-c <+/->
    cpu time default: off

-o <+/->
    polling input default: on

-b <+/->
    opening book default: on

-r <resign value in centipawns>
    default: 0 (no resigning)

-e <easy level 0...100>
    default: 0 (best play)

-l <+/->
    learning on/off default: on

-v  print version and exit

-P <primary book directory>

-S <secondary book directory>

-L <learning file directory>

-g <log file name>

EXAMPLES
phalanx -c+ -s+ -o - -x- -f 60 -t4000 xboard -fcp "phalanx -l+ -r800"

SEE ALSO
/usr/share/doc/phalanx, xboard(6)

AUTHOR
Phalanx was written by Dusan Dobes <dobes@math.muni.cz>. This manual page was written by Stephen Stafford <bagpuss@debian.org> for the Debian GNU/Linux project, but may be used by others. It was written with the assistance of help2man(1) and then edited slightly to clean it up.